Page MenuHomePhabricator

conflict resolution on Forms
Closed, ResolvedPublic

Description

Problem:
When editing a Form at the same time as another user I do not want to get an edit conflict. The two edits should just be saved independent of each other and not run into a conflict.

BDD
GIVEN
AND
WHEN
AND
THEN
AND

Acceptance criteria:

  • Two people editing the same statement on the same Form right after each other do not get an edit conflict notification. The value of the second edit is stored.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 5 2017, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde triaged this task as Normal priority.Dec 5 2017, 3:54 PM
Lydia_Pintscher raised the priority of this task from Normal to High.Sep 2 2018, 3:35 PM
Lydia_Pintscher lowered the priority of this task from High to Normal.
Lydia_Pintscher closed this task as Resolved.Jan 4 2019, 10:46 AM
Lydia_Pintscher claimed this task.

Tested with @Greta_Doci_WMDE and it seems fine now.